import { __extends } from "tslib";
import { addClass, createEle, removeClass } from '../utils/dom';
import { DomNode } from '../utils/domNode';
var classActive = 'popover_active';
var Popover = /** @class */ (function (_super) {
    __extends(Popover, _super);
    function Popover(container, style, left) {
        var _this = _super.call(this, container, '.popover') || this;
        _this.panelEl = _this.el.appendChild(createEle('div.popover_panel'));
        if (style)
            _this.injectPanelStyle(style);
        if (left)
            addClass(_this.panelEl, 'popover_panel_left');
        return _this;
    }
    Popover.prototype.injectPanelStyle = function (style) {
        Object.assign(this.panelEl.style, style);
    };
    Popover.prototype.show = function () {
        addClass(this.el, classActive);
    };
    Popover.prototype.hide = function () {
        removeClass(this.el, classActive);
    };
    return Popover;
}(DomNode));
export { Popover };
//# sourceMappingURL=popover.js.map