import { __extends } from "tslib";
import { DomNode } from '../../../utils/domNode';
import { show, hide } from '../../../utils/dom';
import { Icon } from '../../../features/icons';
import { addDispose, addDisposeListener } from '../../../utils/dispose';
import { EVENT } from '../../../constants';
import { I18n, PLAY, PAUSE } from '../../../features/i18n';
var Play = /** @class */ (function (_super) {
    __extends(Play, _super);
    function Play() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = 'play';
        _this.onPlay = function () {
            show(_this.pauseIcon);
            hide(_this.playIcon);
            _this.tooltip.html = I18n.trans(PAUSE);
        };
        _this.onPause = function () {
            show(_this.playIcon);
            hide(_this.pauseIcon);
            _this.tooltip.html = I18n.trans(PLAY);
        };
        return _this;
    }
    Play.prototype.init = function (player, tooltip) {
        this.tooltip = tooltip;
        this.playIcon = this.el.appendChild(Icon.play());
        this.pauseIcon = this.el.appendChild(Icon.pause());
        if (player.paused) {
            this.onPause();
        }
        else {
            this.onPlay();
        }
        addDispose(this, player.on(EVENT.PLAY, this.onPlay));
        addDispose(this, player.on(EVENT.PAUSE, this.onPause));
        addDisposeListener(this, this.el, 'click', player.toggle);
    };
    return Play;
}(DomNode));
export var playControllerEle = function () { return new Play(); };
//# sourceMappingURL=play.js.map