import { __extends } from "tslib";
import { addClass } from '../../utils/dom';
import { DomNode } from '../../utils/domNode';
import { isHTMLElement, isString } from '../../utils/is';
var ToastItem = /** @class */ (function (_super) {
    __extends(ToastItem, _super);
    function ToastItem(container, html, position) {
        if (position === void 0) { position = 'center'; }
        var _this = _super.call(this, container, '.toast') || this;
        _this.position = position;
        addClass(_this.el, "toast_" + position);
        if (isHTMLElement(html))
            _this.el.appendChild(html);
        if (isString(html))
            _this.el.innerHTML = html;
        return _this;
    }
    ToastItem.prototype.dispose = function () {
        _super.prototype.dispose.call(this);
        clearTimeout(this.timer);
    };
    return ToastItem;
}(DomNode));
export { ToastItem };
//# sourceMappingURL=toast-item.js.map